com.sap.conn.jco

## Interface JCoCustomDestination

- All Superinterfaces:
    JCoDestination

      public interface JCoCustomDestination
      extends JCoDestination

  Customizable destination that allows to set specific user logon data and SNC configuration. A JCoCustomDestination is useful, if the destination obtained from the JCoDestinationManager does not contain logon information or if it is necessary or desired to set call specific logon parameters at runtime.
  JCoCustomDestination instances do not share connection pools and stateful call contexts with configured JCoDestination instances that are obtained from the JCoDestinationManager. But JCoCustomDestination instances share connection pools and stateful call contexts with other JCoCustomDestination instances that have been created from the same configured JCoDestination, if they also use the same logon parameters.
  A JCoCustomDestination instance cannot be modified anymore after it has been used for executing an application RFC request.
  See Also:
    `JCoDestination.createCustomDestination()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JCoCustomDestination.SncConfigurationData` SncConfigurationData allows change SNC configuration for a JCoCustomDestination.
    `static interface` | `JCoCustomDestination.UserData` UserData allows change the logon configuration data for a JCoCustomDestination.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoDestination` | `getOriginalDestination()` Returns the original destination, a.k.a.
    `JCoCustomDestination.SncConfigurationData` | `getSNCConfiguration()` Returns the holder for properties of SNC configuration.
    `JCoCustomDestination.UserData` | `getUserLogonData()` Returns the holder for properties of user logon data.
    `void` | `setCodepage(String codepage)` The RFC communication negotiates the code page to use with its communication partner.
    `void` | `setRepositoryDestination(JCoDestination destination)` Sets the destination, whose repository will be used for meta data queries for this destination.
    `void` | `setTrace(boolean trace)` Allows turning on/off trace on the fly.
    `void` | `setUseSapGui(boolean useSapGui)` Allows turning on/off the association of an SAP GUI with the used JCo connection on the fly.

    - ### Methods inherited from interface com.sap.conn.jco.JCoDestination

      `changePassword, confirmFunctionUnit, confirmTID, createCustomDestination, createTID, getAliasUser, getApplicationServerHost, getAttributes, getClient, getDestinationID, getDestinationName, getExpirationCheckPeriod, getExpirationTime, getExternalIDData, getExternalIDType, getFunctionUnitState, getGatewayHost, getGatewayService, getLanguage, getLogonCheck, getLogonGroup, getMaxGetClientTime, getMessageServerHost, getMessageServerService, getMonitor, getPeakLimit, getPoolCapacity, getProperties, getR3Name, getRepository, getRepositoryDestinationMonitor, getRepositoryUser, getSAPRouterString, getSncLibrary, getSncMode, getSncMyName, getSncPartnerName, getSncQOP, getSncSSO, getSystemNumber, getThroughput, getTPHost, getTPName, getType, getUser, isPooledConnectionChecked, isValid, ping, removeThroughput, setThroughput`

- - ### Method Detail

    - #### setRepositoryDestination

          void setRepositoryDestination(JCoDestination destination)
                                        throws JCoException

      Sets the destination, whose repository will be used for meta data queries for this destination. In case a JCoCustomDestination is passed, the destination it originates from will provide its repository.
      Parameters:
        `destination` - the destination to ask for the repository
      Throws:
        `JCoException` - if an exception occurs during the initialization of connections to the given destination
      See Also:
        `JCoDestination.getRepository()`

    - #### getOriginalDestination

          JCoDestination getOriginalDestination()

      Returns the original destination, a.k.a. parent destination, of this custom destination.
      Returns:
        the parent destination of this custom destination
      Since:
        JCo 3.1.0

    - #### getSNCConfiguration

          JCoCustomDestination.SncConfigurationData getSNCConfiguration()

      Returns the holder for properties of SNC configuration.
      Returns:
        SncConfigurationData

    - #### getUserLogonData

          JCoCustomDestination.UserData getUserLogonData()

      Returns the holder for properties of user logon data.
      Returns:
        UserData

    - #### setTrace

          void setTrace(boolean trace)

      Allows turning on/off trace on the fly.
      Parameters:
        `trace` - if set to true, trace will be turned on otherwise trace will be turned off
      Since:
        JCo 3.0.2

    - #### setCodepage

          void setCodepage(String codepage)

      The RFC communication negotiates the code page to use with its communication partner. Nevertheless, it can be necessary, to use a different initial one, if the logon language is not fitting to it. In case the logon data is changed, it might be necessary to adjust the code page as well.
      Parameters:
        `codepage` - the code page to use for the initial request
      Since:
        JCo 3.0.2

    - #### setUseSapGui

          void setUseSapGui(boolean useSapGui)

      Allows turning on/off the association of an SAP GUI with the used JCo connection on the fly.
      Parameters:
        `useSapGui` - if set to true, a GUI will be associated with the connection, otherwise not
      Since:
        JCo 3.0.5

Copyright © 2016 SAP. All Rights Reserved.